Name:           pyzo
Version:        4.3.1
Release:        %mkrel 1
Summary:        Cross-platform Python IDE focused on interactivity and introspection
License:        BSD
Group:          Development/Python
URL:            http://www.pyzo.org
Source0:        https://github.com/pyzo/pyzo/archive/v%{version}/%{name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  pythonegg(3)(setuptools)

Requires:       fonts-ttf-dejavu
# TODO: Check if still needed now that Pyzo and IEP merged
Requires:       pythonegg(3)(pyzolib)
Requires:       python3-qt4
Requires:       python3-sip

# iep was renamed to pyzo
Obsoletes:      iep < 3.8-1
Provides:       iep = %{version}-%{release}

%description
Pyzo is a cross-platform Python IDE focused on interactivity and
introspection, which makes it very suitable for scientific computing.
Its practical design is aimed at simplicity and efficiency.

It consists of two main components, the editor and the shell, and
uses a set of pluggable tools to help the programmer in various ways.
Some example tools are source structure, project manager,
interactive help and workspace.

#---------------------------------------------------------------------------

%prep
%autosetup

# Removed bundled DejaVu fonts
# TODO: Unbundle SourceCodePro fonts
rm -rf pyzo/resources/fonts/DejaVu*.ttf

%build
%py3_build

%install
%py3_install

install -D pyzo.appdata.xml \
  %{buildroot}%{_datadir}/appdata/%{name}.appdata.xml

sed -i pyzo/resources/pyzo.desktop -e 's/pyzologo/%{name}/g'
install -D pyzo/resources/pyzo.desktop \
  %{buildroot}%{_datadir}/applications/%{name}.desktop

for size in 16 32 48 64 128 256; do
  install -D -m644 pyzo/resources/appicons/pyzologo${size}.png \
    %{buildroot}%{_iconsdir}/hicolor/${size}x${size}/apps/%{name}.png
done

%files
%doc README.md
%{python3_sitelib}/%{name}/
%{python3_sitelib}/%{name}-%{version}-py%{python3_version}.egg-info
%{_bindir}/%{name}
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png


%changelog
* Sun Jan 22 2017 akien <akien> 4.3.1-1.mga6
+ Revision: 1082939
- Obsolete iep
- Pyzo 4.3.1, renamed from IEP
- Rename IEP to Pyzo after Pyzo+IEP merger

* Mon Jun 27 2016 akien <akien> 3.7-5.mga6
+ Revision: 1037845
- Rebuild in core/release

* Sat Jun 25 2016 akien <akien> 3.7-4.mga6
+ Revision: 1037536
- Rebuild for python-sip 4.18

* Fri Feb 19 2016 umeabot <umeabot> 3.7-3.mga6
+ Revision: 970718
- Mageia 6 Mass Rebuild

* Thu Oct 08 2015 daviddavid <daviddavid> 3.7-2.mga6
+ Revision: 887730
- rebuild for python 3.5

* Mon Sep 21 2015 akien <akien> 3.7-1.mga6
+ Revision: 882139
- Version 3.7

* Tue Jan 13 2015 akien <akien> 3.5-2.mga5
+ Revision: 810452
- Add python3-sip dependency

* Mon Jan 12 2015 akien <akien> 3.5-1.mga5
+ Revision: 810045
- Version 3.5 (synced with Fedora)
- Package icons, desktop files and launcher script
- Remove bundled DejaVu fonts
- imported package iep

